summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Roberto Neri2012-08-12 07:57:37 +0200
committer Robby Workman2012-08-12 07:57:37 +0200
commita0ed6d6429ae0b37770ee9fdcc0c1c334b262247 (patch)
treebb30ebd1bffc8cf41ea1e4646feb4c0e62a560fb /system
parentd7f10e9144a21e297eecc66c74369db29344c3d5 (diff)
downloadslackbuilds-a0ed6d6429ae0b37770ee9fdcc0c1c334b262247.tar.gz
system/xboxdrv-linux: Added (Xbox/Xbox360 USB Gamepad Driver)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/xboxdrv-linux/README6
-rw-r--r--system/xboxdrv-linux/slack-desc19
-rw-r--r--system/xboxdrv-linux/xboxdrv-linux.SlackBuild97
-rw-r--r--system/xboxdrv-linux/xboxdrv-linux.info10
4 files changed, 132 insertions, 0 deletions
diff --git a/system/xboxdrv-linux/README b/system/xboxdrv-linux/README
new file mode 100644
index 0000000000..ccf7b7ccdf
--- /dev/null
+++ b/system/xboxdrv-linux/README
@@ -0,0 +1,6 @@
+Xboxdrv is a Xbox/Xbox360 gamepad driver for Linux that works in
+userspace. It is an alternative to the xpad kernel driver and has
+support for Xbox1 gamepads, Xbox360 USB gamepads and Xbox360 wireless
+gamepads, both first and third party.
+
+This requires scons.
diff --git a/system/xboxdrv-linux/slack-desc b/system/xboxdrv-linux/slack-desc
new file mode 100644
index 0000000000..f4ffef0914
--- /dev/null
+++ b/system/xboxdrv-linux/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xboxdrv-linux: xboxdrv-linux (Userspace Xbox/Xbox360 USB Gamepad Driver for Linux)
+xboxdrv-linux:
+xboxdrv-linux: Xboxdrv is a Xbox/Xbox360 gamepad driver for Linux that works in
+xboxdrv-linux: userspace. It is an alternative to the xpad kernel driver and has
+xboxdrv-linux: support for Xbox1 gamepads, Xbox360 USB gamepads and Xbox360 wireless
+xboxdrv-linux: gamepads, both first and third party.
+xboxdrv-linux:
+xboxdrv-linux: Homepage: http://pingus.seul.org/~grumbel/xboxdrv/
+xboxdrv-linux:
+xboxdrv-linux:
+xboxdrv-linux:
diff --git a/system/xboxdrv-linux/xboxdrv-linux.SlackBuild b/system/xboxdrv-linux/xboxdrv-linux.SlackBuild
new file mode 100644
index 0000000000..ecf163a747
--- /dev/null
+++ b/system/xboxdrv-linux/xboxdrv-linux.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for xboxdrv-linux
+
+# Copyright 2012 Roberto Neri, Palermo, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xboxdrv-linux
+VERSION=${VERSION:-0.8.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+scons \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS"
+make
+make install \
+ PREFIX=/usr \
+ MANDIR=/usr/man \
+ DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING NEWS PROTOCOL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/xboxdrv-linux/xboxdrv-linux.info b/system/xboxdrv-linux/xboxdrv-linux.info
new file mode 100644
index 0000000000..01ae47496c
--- /dev/null
+++ b/system/xboxdrv-linux/xboxdrv-linux.info
@@ -0,0 +1,10 @@
+PRGNAM="xboxdrv-linux"
+VERSION="0.8.4"
+HOMEPAGE="http://pingus.seul.org/~grumbel/xboxdrv/"
+DOWNLOAD="http://pingus.seul.org/~grumbel/xboxdrv/xboxdrv-linux-0.8.4.tar.bz2"
+MD5SUM="c4970d08426489b2b604e01148bd687d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Roberto Neri"
+EMAIL="rneri@libero.it"
+APPROVED="rworkman"